﻿

$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://dl.google.com/go/go1.3.windows-386.msi' 
$url64      = 'https://dl.google.com/go/go1.3.windows-amd64.msi' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'golang*' 

  checksum      = 'd457a86ce6701bb96608e4c33778b8471c48a764'
  checksumType  = 'sha1' 
  checksum64    = 'e81a0e4f551722c7682f912e0485ad20a287f2ef'
  checksumType64= 'sha1' 

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs 
